<?php
/**
 * Created by PhpStorm.
 * User: radko
 * Date: 25.7.18
 * Time: 13:53
 */

namespace Seka\Vzdelavanie\Repositories\Eloquent;

use Seka\Vzdelavanie\Models\Sekcia;
use Seka\Vzdelavanie\Repositories\Contracts\SekciaRepositoryInterface;

/**
 * Class SekciaRepository
 * @package Seka\Vzdelavanie\Repositories\Eloquent
 */
class SekciaRepository extends Repository implements SekciaRepositoryInterface
{
    /**
     * @return string
     */
    public function model()
    {
        return Sekcia::class;
    }

    /**
     * @param array $attributes
     * @return mixed|\Seka\Vzdelavanie\Models\Sekcia
     */
    public function create(array $attributes)
    {
        $sekcia = new Sekcia($attributes);

        if (is_null($attributes['parent_id'])) {
            $sekcia->saveAsRoot();
        }

        $sekcia->parent_id = $attributes['parent_id'];
        $sekcia->save();

        return $sekcia->refresh();
    }
}
